# Constant Field Values

## Contents

- org.linphone.*

## org.linphone.*

org.linphone.mediastream.Factory
Modifier and Type
Constant Field
Value
`public static final int`
`DEVICE_HAS_BUILTIN_AEC`
`1`
`public static final int`
`DEVICE_HAS_BUILTIN_AEC_CRAPPY`
`2`
`public static final int`
`DEVICE_HAS_BUILTIN_OPENSLES_AEC`
`8`
`public static final int`
`DEVICE_HAS_CRAPPY_AAUDIO`
`4096`
`public static final int`
`DEVICE_HAS_CRAPPY_ANDROID_FASTRECORD`
`32`
`public static final int`
`DEVICE_HAS_CRAPPY_ANDROID_FASTTRACK`
`16`
`public static final int`
`DEVICE_HAS_CRAPPY_OPENGL`
`128`
`public static final int`
`DEVICE_HAS_CRAPPY_OPENSLES`
`256`
`public static final int`
`DEVICE_HAS_UNSTANDARD_LIBMEDIA`
`64`
`public static final int`
`DEVICE_MCH264ENC_NO_PIX_FMT_CONV`
`1024`
`public static final int`
`DEVICE_MCH265_LIMIT_DEQUEUE_OF_OUTPUT_BUFFERS`
`2048`
`public static final int`
`DEVICE_USE_ANDROID_CAMCORDER`
`512`
`public static final int`
`DEVICE_USE_ANDROID_MIC`
`4`